import logging

logger = logging.getLogger('red.seacogs.pterodactyl')
class WebsocketLogger(logging.Logger):
    def __init__(self, name, level=logging.NOTSET):
        super().__init__(name, level)

    def debug(self, msg, *args, **kwargs):
        self.log(logging.VERBOSE, msg, *args, **kwargs)

logging.setLoggerClass(WebsocketLogger)
websocket_logger = logging.getLogger('red.seacogs.pterodactyl.websocket')
logging.VERBOSE = 5
logging.addLevelName(logging.VERBOSE, "VERBOSE")
